View Single Post
  #3  
Old 11-26-2017, 09:08 PM
sdelsolray sdelsolray is offline
Charter Member
 
Join Date: May 2004
Location: Portland, OR
Posts: 5,972
Default

Yes, PT 12.8.2 (current version) is not yet qualified for High Sierra. Some report it works fine, some report issues. It's unlikely you can find a new iMac now with OS Sierra (which is qualified). High Sierra qualification should be announced sooner than later.

Logic would be a good alternative, and its less expensive. It has more features than you'll ever likely use and pretty much all the features you could use.
Reply With Quote